function ItemPrice () {
	const formato = new Intl.NumberFormat('de-DE');
	// Datos
	var ItemACC				=	document.getElementById('item_ItemACC').value;
	var Item380				=	document.getElementById('item_Op380').value;
	var ItemHH				=	document.getElementById('item_OpHH').value;
	var ItemSock			=	document.getElementById('item_OpSock').value;
	var ItemMaxSock			=	document.getElementById('item_OpMaxSock').value;
	var ItemType			=	document.getElementById('item_OpType').value;
	// Ids
	let LevelItem			=	parseInt(document.getElementById('LevelItem').value);
	let OptionLife			=	parseInt(document.getElementById('OptionLife').value);	
		
	let PriceItem			=	parseInt(document.getElementById('item_Price').value);	

	// Precios
	let PriceItemLevel 		= 	document.getElementById('item_PriceItemLevel').value;
	let PriceOptionLife 	= 	document.getElementById('item_PriceOptionLife').value;
	let PriceLuck 			= 	document.getElementById('item_PriceLuck').value;
	let PriceSkill 			= 	document.getElementById('item_PriceSkill').value;
	let PriceOPExe 			= 	document.getElementById('item_PriceOPExe').value;
	let PriceOP380 			= 	document.getElementById('item_PriceOP380').value;
	let PriceAncient 		= 	document.getElementById('item_PriceAncient').value;
	let PriceSocket 		= 	document.getElementById('item_PriceSocket').value;
	let PriceHarmony 		= 	document.getElementById('item_PriceHarmony').value;

	if(ItemACC > 0){
		if(ItemACC == 1){
			var AncientSet2			=	document.getElementById('AncientSetCB').checked;
			var Ancient2	=	AncientSet2				?	parseInt(PriceAncient)	:	0;
			var Ancient		=	0;
		}else{
			var AncientSet			=	document.querySelectorAll("input[name='AncientSet']");	
			if(AncientSet[0].checked && AncientSet[0].value === 0){
				var Ancient	=	0;
				var Ancient2	=	0;
			}else if(AncientSet[1].checked || AncientSet[2].checked){
				var Ancient	=	parseInt(PriceAncient);
				var Ancient2	=	0;
			}else{
				var Ancient	=	0;
				var Ancient2	=	0;
			}
		}
	} else {
		var Ancient	=	0;
		var Ancient2	=	0;
	}

	/*if(ItemACC == 1){
		var AncientSet2			=	document.getElementById('AncientSetCB').checked;
		var Ancient2	=	AncientSet2				?	parseInt(PriceAncient)	:	0;
		var Ancient		=	0;
	}else{
		var AncientSet			=	document.querySelectorAll("input[name='AncientSet']");	
		if(AncientSet[0].checked && AncientSet[0].value === 0){
			var Ancient	=	0;
			var Ancient2	=	0;
		}else if(AncientSet[1].checked || AncientSet[2].checked){
			var Ancient	=	parseInt(PriceAncient);
			var Ancient2	=	0;
		}else{
			var Ancient	=	0;
			var Ancient2	=	0;
		}
	}*/

	if(ItemType == 12){
		var OpExe1		= 0;
	} else {
		var OpcionExe1			=	document.getElementById('OpcionExe1').checked;
		var OpExe1		=	OpcionExe1				?	parseInt(PriceOPExe)	:	0;
	} 
		var OpcionExe2			=	document.getElementById('OpcionExe2').checked;	
		var OpcionExe3			=	document.getElementById('OpcionExe3').checked;	
		var OpcionExe4			=	document.getElementById('OpcionExe4').checked;	
		var OpcionExe5			=	document.getElementById('OpcionExe5').checked;	
		var OpcionExe6			=	document.getElementById('OpcionExe6').checked;	
		// Comprobaciones
		var OpExe2		=	OpcionExe2				?	parseInt(PriceOPExe)	:	0;
		var OpExe3		=	OpcionExe3				?	parseInt(PriceOPExe)	:	0;
		var OpExe4		=	OpcionExe4				?	parseInt(PriceOPExe)	:	0;
		var OpExe5		=	OpcionExe5				?	parseInt(PriceOPExe)	:	0;
		var OpExe6		=	OpcionExe6				?	parseInt(PriceOPExe)	:	0;
			
	if(ItemType != 12 && ItemType < 12){
		var OpcionLuck			=	document.getElementById('OpcionLuck').checked;	
		var Luck 		= 	OpcionLuck 				? 	parseInt(PriceLuck) 	: 	0;
	}else{
		var Luck		=	0;
	}	
	if(ItemType < 6){
		var OpcionSkill			=	document.getElementById('OpcionSkill').checked;	
		var Skill		=	OpcionSkill				?	parseInt(PriceSkill)	:	0;
	}else{
		var Skill		=	0;
	}		
	if(Item380 == 1){
		var Opcion380			=	document.getElementById('Opcion380').checked;	
		var Op380		=	Opcion380				?	parseInt(PriceOP380)	:	0;
	}else{
		var Op380		=	0;
	}
	if(ItemHH == 1){
		var OptionHarmony		=	parseInt(document.getElementById('OptionHarmony').value);	
		var OpHarmony	=	OptionHarmony	==	0	?	0	:	parseInt(PriceHarmony);
	}else{
		var OpHarmony		=	0;
	}

	if(ItemSock == 1){
		if(ItemMaxSock > 0){
			var SocketOp1			=	parseInt(document.getElementById('SocketOp1').value);	
			var OpSocket1	=	SocketOp1	==	255	?	0	:	parseInt(PriceSocket);
		} else { var OpSocket1	=	0; }
		if(ItemMaxSock > 1){
			var SocketOp2			=	parseInt(document.getElementById('SocketOp2').value);	
			var OpSocket2	=	SocketOp2	==	255	?	0	:	parseInt(PriceSocket);
		} else { var OpSocket2	=	0; }
		if(ItemMaxSock > 2){
			var SocketOp3			=	parseInt(document.getElementById('SocketOp3').value);	
			var OpSocket3	=	SocketOp3	==	255	?	0	:	parseInt(PriceSocket);
		} else { var OpSocket3	=	0; }
		if(ItemMaxSock > 3){
			var SocketOp4			=	parseInt(document.getElementById('SocketOp4').value);	
			var OpSocket4	=	SocketOp4	==	255	?	0	:	parseInt(PriceSocket);
		} else { var OpSocket4	=	0; }
		if(ItemMaxSock > 4){
			var SocketOp5			=	parseInt(document.getElementById('SocketOp5').value);
			var OpSocket5	=	SocketOp5	==	255	?	0	:	parseInt(PriceSocket);
		} else { var OpSocket5	=	0; }
	}else{
		var OpSocket1	=	0;
		var OpSocket2	=	0;
		var OpSocket3	=	0;
		var OpSocket4	=	0;
		var OpSocket5	=	0;
	}

	

	let suma = (LevelItem*PriceItemLevel)+(OptionLife*PriceOptionLife)+Luck+Skill+OpExe1+OpExe2+OpExe3+OpExe4+OpExe5+OpExe6+Op380+Ancient+Ancient2+PriceItem+OpHarmony+OpSocket1+OpSocket2+OpSocket3+OpSocket4+OpSocket5;

	let total = isNaN(suma) ? 0 : suma;

	document.getElementById("span1").innerHTML = formato.format(total) ;  
}
